.main-section {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 9;
  padding: 20px 0;
  background-color: #fff;
}

.header-title {
  display: none;
}

.menu-btn {
  display: block;
  margin-left: auto;

  svg {
    stroke: #590022;
    transition: stroke 0.3s ease;
  }
}

.menu-btn:hover,
.menu-btn:focus {
  svg {
    stroke: orange;
  }
}

.page-nav {
  display: none;
}

.page-nav-list {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 50px;
}

.page-nav-link {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 16px;
  text-transform: capitalize;
  color: #590022;
  border-radius: 32px;
  padding: 8px 18px;
  border: 1px solid transparent;
  border-top: none;
  transition: border-color 0.4s ease, box-shadow 0.4s ease;
}

.page-nav-link:hover {
  border-color: #590022;
  box-shadow: 1px 1px 2px #590022;
}

@media screen and (min-width: 1440px) {
  .main-section {
    padding: 22px 0;
  }

  .header-title {
    display: block;
    width: 60px;
    position: absolute;
    left: 100px;
    top: 50%;
    transform: translateY(-50%);
    transition: transform 0.8s ease;
  }

  .header-title:hover,
  .header-title:focus {
    transform: translateY(-50%) rotate(360deg);
  }

  .header-container {
    position: relative;
  }

  .page-nav {
    display: block;
  }

  .menu-btn {
    display: none;
  }
}

/* modal  */

.menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  padding: 60px;
  padding-top: 100px;
  z-index: 8;
  transform: translateY(-100%);
  transition: transform 1s ease;
  backdrop-filter: blur(12px);
  background: linear-gradient(
    180deg,
    rgba(254, 201, 2, 0.9) 0%,
    rgba(255, 255, 255, 0.9) 100%
  );
}

.modal-title {
  display: block;
  width: 60px;
  margin-bottom: 60px;
  margin-left: 20px;
  transition: transform 0.8s ease;
}

.modal-title:hover,
.modal-title:focus {
  transform: rotate(360deg);
}

.menu-nav-list {
  flex-direction: column;
  align-items: flex-start;
  gap: 40px;
}

/* popup */

.page-popup {
  position: fixed;
  z-index: 10;
  bottom: 20px;
  border-radius: 12px;
  padding: 20px;
  left: 50%;
  transform: translateX(-50%);
  background: #fff;
  box-shadow: 10px 10px 10px 0 rgba(0, 0, 0, 0.18);

  transition: transform 0.4s ease;
}

.popup-text {
  font-family: var(--font-family);
  font-weight: 400;
  font-size: 16px;
  line-height: 150%;
  color: #590022;
  margin-bottom: 38px;
}

.popup-btn {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 14px;
  line-height: 143%;
  text-decoration: underline;
  text-decoration-skip-ink: none;
  color: #590022;

  border-radius: 8px;
  padding: 7px 15px;
  display: block;
  text-align: center;
  transition: color 0.2s ease, background-color 0.2s ease;
}

.popup-btn:hover {
  background: #590022;
  color: #fff;
}

.popup-wrap {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 20px;
}

@media screen and (min-width: 1440px) {
  .page-popup {
    padding: 26px 40px;
  }

  .popup-text {
    font-size: 16px;
    text-align: start;
    margin: 0;
  }

  .popup-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 80px;
  }

  .popup-btn {
    padding: 8px 20px;
  }

  .popup-wrap {
    flex-shrink: 0;
  }
}

/* hero  */

.dashboard {
  background-image: url(../img/home.jpg);
  background-position: center;
  background-size: cover;
  padding: 130px 0;
}

.hero-content {
  border-radius: 22px;
  padding: 32px 18px;
  backdrop-filter: blur(12px);
  background: linear-gradient(
    180deg,
    rgba(254, 201, 2, 0.9) 0%,
    rgba(255, 255, 255, 0.9) 100%
  );
}

.page-hero-title {
  font-family: var(--second-family);
  font-weight: 900;
  font-size: 28px;
  text-transform: uppercase;
  text-align: center;
  color: #590022;
  margin-bottom: 32px;
}

.page-hero-text {
  font-family: var(--font-family);
  font-weight: 500;
  font-size: 18px;
  text-align: center;
  color: #590022;
  margin-bottom: 32px;
}

.page-hero-link {
  display: block;
  width: fit-content;
  margin: 0 auto;
  transition: transform 0.4s ease;
}

.page-hero-link:hover,
.page-hero-link:focus {
  transform: scale(0.95);
}

@media screen and (min-width: 1440px) {
  .dashboard {
    padding: 180px 0;
  }

  .hero-content {
    border-radius: 22px;
    padding: 32px;
    width: 890px;
    margin: 0 auto;
  }

  .page-hero-title {
    font-size: 46px;
  }

  .page-hero-text {
    font-family: var(--font-family);
    font-weight: 500;
    font-size: 24px;
    text-align: center;
    color: #590022;
  }
}

/* disclaimer  */

.disclaimer {
  background-color: #ffa30b;
  background-image: url(../img/disclaimer.png);
  background-repeat: no-repeat;

  h2 {
    font-family: var(--font-family);
    font-weight: 900;
    font-size: 28px;
    text-transform: uppercase;
    color: #fff;
    margin-bottom: 22px;
  }

  p {
    font-family: var(--font-family);
    font-weight: 700;
    font-size: 22px;
    line-height: 136%;
    text-transform: uppercase;
    color: #fff;
  }
}

@media screen and (min-width: 768px) {
  .disclaimer {
    background-image: url(../img/disclaimer.png), url(../img/disclaimer.png);
    background-position: top left, bottom right;
  }
}

@media screen and (min-width: 1440px) {
  .disclaimer {
    h2 {
      font-size: 42px;
    }

    p {
      font-size: 26px;
    }
  }
}

/* art   */

#art {
  background-image: url(../img/art.jpg);
  background-position: center;
  background-size: cover;
}

.btn-wrapper {
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 24px;
  margin-top: 40px;
}

.art-left {
  transform: scaleX(-1);
}

.swiper-btn {
  opacity: 0.6;
  transition: opacity 0.4s ease;
}
.swiper-btn:hover,
.swiper-btn:focus {
  opacity: 1;
}

/* work  */

#work {
  background-image: url(../img/art.jpg);
  background-position: center;
  background-size: cover;
}

.work-list {
  display: flex;
  flex-direction: column;
  gap: 22px;

  li {
    display: flex;
    align-items: center;
    gap: 22px;

    font-family: var(--font-family);
    font-weight: 600;
    font-size: 20px;
    line-height: 130%;
    color: #590022;
  }

  img {
    flex-shrink: 0;
  }
}

@media screen and (min-width: 768px) {
  .work-list {
    flex-direction: row;
    flex-wrap: wrap;

    li {
      width: calc((100% - 22px) / 2);
    }
  }
}

@media screen and (min-width: 1440px) {
  .work-list {
    gap: 32px 46px;
    width: 1006px;
    margin: 0 auto;

    li {
      width: calc((100% - 46px) / 2);
      font-size: 20px;
    }
  }
}

/* collection */

#collection {
  background-image: url(../img/bg.jpg);
  background-position: center;
  background-size: cover;

  padding-top: 100px;
  padding-bottom: 280px;
  position: relative;
  overflow: hidden;
}

.molbert {
  position: absolute;
  bottom: -50px;
  right: 0;
  width: 220px;
  z-index: 1;
}

.kist1 {
  position: absolute;
  right: 50px;
  bottom: 0;
  transform: rotate(70deg);
}

.kist2 {
  position: absolute;
  right: 20px;
  bottom: 0;
  transform: rotate(90deg);
}

@media screen and (min-width: 1440px) {
  #collection {
    padding: 230px 0;

    .title {
      text-align: start;
    }
  }

  .collection-text {
    width: 830px;
  }

  .molbert {
    bottom: 12px;
    right: 107px;
    width: auto;
  }

  .kist1 {
    right: auto;
    left: 15%;
    bottom: 60px;
    transform: rotate(0);
  }

  .kist2 {
    position: absolute;
    right: auto;
    left: 45%;
    bottom: 70px;
    transform: rotate(0);
  }
}

/* personal  */

.personal-slide {
  display: flex;
  align-items: center;
  flex-direction: row;
  gap: 22px;

  img {
    width: 100px;
    flex-shrink: 0;
  }

  p {
    font-family: var(--font-family);
    font-weight: 600;
    font-size: 20px;
    line-height: 130%;
    color: #590022;
  }
}

.personal-left {
  transform: scaleX(-1);
}

/* advantages  */

#advantages {
  background-image: url(../img/adv-bg.png), url(../img/bg.jpg);
  background-position: bottom center, right;
  background-size: auto, cover;
  background-repeat: no-repeat;
  padding-top: 100px;
  padding-bottom: 180px;
}

.advantages-list {
  display: flex;
  flex-direction: column;
  gap: 12px;
}

.advantages-item {
  display: flex;
  align-items: center;
  gap: 22px;

  img {
    width: 100px;
    flex-shrink: 0;
  }

  p {
    font-family: var(--font-family);
    font-weight: 600;
    font-size: 20px;
    line-height: 130%;
    color: #590022;
  }
}

.paint1 {
  display: none;
}

.paint2 {
  display: none;
}

@media screen and (min-width: 1440px) {
  #advantages {
    background-image: url(../img/bg.jpg);
    background-position: right;
    background-size: cover;
    background-repeat: no-repet;
    padding: 160px 0;
  }

  .advantages-container {
    position: relative;
  }

  .advantages-list {
    width: 832px;
    margin: 0 auto;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-end;
  }

  .advantages-item {
    width: calc((100% - 12px) / 2);
  }

  .paint1 {
    display: block;
    position: absolute;
    left: 100px;
    top: 50%;
    width: 90px;
    transform: translateY(-50%) rotate(20deg);
  }

  .paint2 {
    display: block;
    position: absolute;
    right: 100px;
    bottom: 0;
    width: 80px;
    transform: rotate(-20deg);
  }
}

/* players  */

#players {
  padding-top: 100px;
  padding-bottom: 130px;

  background-image: url(../img/bg.jpg);
  background-size: cover;
}

.player {
  border: 4px solid #fac209;
  border-radius: 22px;
  padding: 18px;
  background: #fff;
  margin-bottom: 10px;

  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 10px;

  p {
    font-family: var(--font-family);
    font-weight: 700;
    font-size: 22px;
    line-height: 118%;
    text-align: center;
    color: #590022;
    margin-bottom: 10px;
  }

  span {
    font-family: var(--font-family);
    font-weight: 400;
    font-size: 16px;
    line-height: 163%;
    color: #590022;
  }
}

.players-left {
  transform: scaleX(-1);
}

@media screen and (min-width: 768px) {
  .player {
    flex-direction: row;
    align-items: flex-start;

    img {
      flex-shrink: 0;
    }

    p {
      text-align: start;
    }
  }
}

@media screen and (min-width: 1440px) {
  #players {
    padding-top: 160px;
    padding-bottom: 80px;
  }
}

/* contact  */

#contact {
  padding: 100px 0;
  background-image: url(../img/bg.jpg);
  background-position: center;
  background-size: cover;
}

.contact-list {
  display: flex;
  flex-direction: column;
  gap: 40px;

  li {
    font-family: var(--font-family);
    font-weight: 600;
    font-size: 20px;
    line-height: 130%;
    color: #590022;
  }

  a:hover {
    text-decoration: underline;
  }
}

#consultation-form {
  margin: 32px 0;
  display: flex;
  flex-direction: column;
  gap: 12px;

  input,
  textarea {
    width: 100%;
    resize: none;
    outline: none;

    border: 4px solid #fac209;
    border-radius: 22px;
    padding: 12px 40px;
    background: #fff;

    font-family: var(--font-family);
    font-weight: 600;
    font-size: 18px;
    line-height: 156%;
    color: #590022;

    transition: background-color 0.3s ease;
  }

  button {
    display: block;
    width: fit-content;
    margin: 0 auto;
    transition: transform 0.4s ease;
  }

  button:hover,
  button:focus {
    transform: scale(0.95);
  }

  input::placeholder,
  textarea::placeholder {
    font-family: var(--font-family);
    font-weight: 600;
    font-size: 18px;
    line-height: 156%;
    color: #590022;
  }
}

.contact-img {
  margin: 0 auto;
}

.modal-form {
  position: fixed;
  bottom: 30px;
  left: 50%;
  transform: translateX(-50%);
  background-color: #222221;
  color: #fff;
  padding: 12px 24px;
  border-radius: 6px;
  font-size: 16px;
  z-index: 1000;
  opacity: 0;
  transition: opacity 0.3s ease;
}

.modal-form.show {
  opacity: 1;
}

@media screen and (min-width: 1440px) {
  #contact {
    padding-top: 236px;
    padding-bottom: 140px;
  }
  .contact-container {
    display: flex;
    align-items: center;
    gap: 32px;
  }

  .contact-img {
    margin: 0;
    flex-shrink: 0;
  }

  #consultation-form {
    width: 400px;
    flex-shrink: 0;
    margin: 0;
  }
}

/* footer */

.footer {
  padding: 35px 0;
  background: #ff820b;
}

.footer-logo {
  display: block;
  width: 60px;
  margin: 0 auto;
  margin-bottom: 22px;
  transition: transform 0.8s ease;
}

.footer-logo:hover,
.footer-logo:focus {
  transform: rotate(360deg);
}

.footer-text {
  font-family: var(--font-family);
  font-weight: 700;
  font-size: 14px;
  text-transform: lowercase;
  text-align: center;
  color: #fff;
  margin-bottom: 32px;
}

.footer-list {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 20px;

  a {
    font-family: var(--font-family);
    font-weight: 900;
    font-size: 18px;
    text-transform: capitalize;
    color: #fff;
    transition: color 0.3s ease;
  }

  a:hover {
    text-decoration: underline;
  }
}

@media screen and (min-width: 1440px) {
  .footer {
    padding: 42px 0;
  }

  .footer-container {
    position: relative;
  }

  .footer-logo {
    position: absolute;
    left: 100px;
    top: 50%;
    transform: translateY(-50%);
    margin: 0;
  }

  .footer-logo:hover,
  .footer-logo:focus {
    transform: translateY(-50%) rotate(360deg);
  }

  .footer-text {
    font-size: 14px;
    margin-bottom: 32px;
  }

  .footer-list {
    flex-direction: row;
    align-items: center;
    justify-content: center;
    gap: 20px;

    a {
      font-size: 20px;
    }
  }
}

/* loader */

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(94, 95, 147, 0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 9999;
}

.spinner {
  width: 60px;
  height: 60px;
  border: 6px solid #ccc;
  border-top-color: #3f38ff;
  border-radius: 50%;
  animation: spin 1s linear infinite;
}

@keyframes spin {
  to {
    transform: rotate(360deg);
  }
}

/* scroll */

#scrollTopBtn {
  position: fixed;
  bottom: 30px;
  right: 20px;
  border: 1px solid #3f38ff;
  color: #3f38ff;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  cursor: pointer;
  font-size: 16px;
  z-index: 7;
  opacity: 0;
  transform: translateY(20px);
  pointer-events: none;
  transition: opacity 0.4s ease, transform 0.4s ease box-shadow 0.4s ease;
}
#scrollTopBtn:hover,
#scrollTopBtn:focus {
  box-shadow: 0 4px 22px 3px #3f38ff;
}
#scrollTopBtn.show {
  opacity: 1;
  transform: translateY(0);
  pointer-events: auto;
}

/* ********************* */

.hidden {
  display: none;
}

.menu-transform {
  transform: translateY(0);
}

.click {
  transform: rotate(135deg);
}

.popup-click {
  transform: translateY(130%) translateX(-50%);
}

.overflow {
  overflow: hidden;
}
